<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<title>Vue JS Exercice</title>
		<link rel="stylesheet" href="./style.css" />
		<script src="https://unpkg.com/vue"></script>
	</head>
	<body>
		<div id="app">
			<button @click.prevent="randomInt()">Changement nombre</button>
			<p>
				Le nombre suivant change au click sur le bouton :
				<app-nombre v-bind:nombre="nombre" />
			</p>
			<p>
				Le nombre suivant ne change pas au click sur le bouton :
				<app-nombre v-bind:nombre="nombre" v-once />
			</p>
			<p>{{ msg }}</p>
			<p>{{ rawHtml }}</p>
			<p><span v-html="rawHtml"></span></p>
			<p>
				<input type="checkbox" v-bind:checked="!btnActive" v-model="btnActive" /> Bouton {{
				btnActive ? "activé" : "désactivé" }}
			</p>
			<p>
				<button v-bind:disabled="!btnActive">
					Je suis un bouton {{ btnActive ? "activé" : "désactivé" }}
				</button>
			</p>
		</div>
		<script src="./script.js"></script>
	</body>
</html>
